# Uses of Interface
org.apache.lucene.index.TwoPhaseCommit

Packages that use TwoPhaseCommit
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of TwoPhaseCommit in org.apache.lucene.index

  Classes in org.apache.lucene.index that implement TwoPhaseCommit
  Modifier and Type
  Class
  Description
  `class`
  `IndexWriter`
  An `IndexWriter` creates and maintains an index.
  Methods in org.apache.lucene.index with parameters of type TwoPhaseCommit
  Modifier and Type
  Method
  Description
  `static void`
  TwoPhaseCommitTool.`execute(TwoPhaseCommit... objects)`
  Executes a 2-phase commit algorithm by first `prepareCommit()` all objects and only if all succeed, it proceeds with `commit()`.
  Constructors in org.apache.lucene.index with parameters of type TwoPhaseCommit
  Modifier
  Constructor
  Description
  ``
  `CommitFailException(Throwable cause, TwoPhaseCommit obj)`
  Sole constructor.
  ``
  `PrepareCommitFailException(Throwable cause, TwoPhaseCommit obj)`
  Sole constructor.